com.tibbo.aggregate.common.server

## Class WebContextConstants

- java.lang.Object
- - com.tibbo.aggregate.common.server.WebContextConstants

-     public class WebContextConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `APPS_PREFIX`
    `static java.lang.String` | `DEFAULT_CONTEXT` Additional parameters for running dashboard.
    `static java.lang.String` | `ID`
    `static java.lang.String` | `INSTANCE_ID`
    `static java.lang.String` | `LOGOUT_REASON` Websocket session is being closed due to user logging out (either explicitly or automatically).
    `static java.lang.String` | `REFERENCE_FIELD`
    `static java.lang.String` | `SESSION_TIMEOUT_REASON` Websocket session is being closed due to a long period of user inactivity.
    `static java.lang.String` | `TOKEN_EXPIRED_REASON` Websocket session is being closed because its accessToken (used at the handshake) is expired.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebContextConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOGOUT_REASON

          public static final java.lang.String LOGOUT_REASON

      Websocket session is being closed due to user logging out (either explicitly or automatically). Should not be reopened until user comes back.
      See Also:
        Constant Field Values

    - #### TOKEN_EXPIRED_REASON

          public static final java.lang.String TOKEN_EXPIRED_REASON

      Websocket session is being closed because its accessToken (used at the handshake) is expired. Can be reopened by the frontend without user interaction.
      See Also:
        Constant Field Values

    - #### SESSION_TIMEOUT_REASON

          public static final java.lang.String SESSION_TIMEOUT_REASON

      Websocket session is being closed due to a long period of user inactivity. Should not be reopened until user comes back.
      See Also:
        Constant Field Values

    - #### ID

          public static final java.lang.String ID

      See Also:
        Constant Field Values

    - #### APPS_PREFIX

          public static final java.lang.String APPS_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_CONTEXT

          public static final java.lang.String DEFAULT_CONTEXT

      Additional parameters for running dashboard.
      See Also:
        Constant Field Values

    - #### INSTANCE_ID

          public static final java.lang.String INSTANCE_ID

      See Also:
        Constant Field Values

    - #### REFERENCE_FIELD

          public static final java.lang.String REFERENCE_FIELD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WebContextConstants

          public WebContextConstants()